%define runtime_version 5.7012
Name:           perl-Catalyst-Devel
Version:        1.03
Release:        2%{?dist}
Summary:        Catalyst Development Tools
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Devel/
Source0:        http://www.cpan.org/authors/id/M/MR/MRAMBERG/Catalyst-Devel-%{version}.tar.gz
Source1: http://www.cpan.org/authors/id/M/MR/MRAMBERG/Catalyst-Runtime-%{runtime_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
# cpan
BuildRequires:  perl(Catalyst) >= 5.7000
BuildRequires:  perl(Catalyst::Action::RenderView) >= 0.04
BuildRequires:  perl(Catalyst::Manual) >= 5.7000
BuildRequires:  perl(Catalyst::Plugin::ConfigLoader) 
BuildRequires:  perl(Catalyst::Plugin::Static::Simple) >= 0.16
BuildRequires:  perl(Class::Accessor::Fast) 
BuildRequires:  perl(File::Copy::Recursive) 
BuildRequires:  perl(Module::Install) >= 0.64
BuildRequires:  perl(Path::Class) >= 0.09
BuildRequires:  perl(Template) >= 2.14
BuildRequires:  perl(YAML) >= 0.55

Requires:       perl(Catalyst) >= 5.7000
Requires:       perl(Catalyst::Action::RenderView) >= 0.04
Requires:       perl(Catalyst::Manual) >= 5.7000
Requires:       perl(Catalyst::Plugin::ConfigLoader)
Requires:       perl(Catalyst::Plugin::Static::Simple) >= 0.16
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Module::Install) >= 0.64
Requires:       perl(Path::Class) >= 0.09
Requires:       perl(YAML) >= 0.55

%description
The Catalyst::Devel package includes a variety of modules useful for the
development of Catalyst applications, but not required to run them. This is
intended to make it easier to deploy Catalyst apps. The runtime parts of
Catalyst are now known as Catalyst::Runtime.

%prep
%setup -q -n Catalyst-Devel-%{version}
tar -zxf %{SOURCE1}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# install catalyst.pl and manify it
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
cd  Catalyst-Runtime-%{runtime_version}/script/
install -m 0755 catalyst.pl %{buildroot}%{_bindir}/
pod2man catalyst.pl > %{buildroot}%{_mandir}/man1/catalyst.pl.1

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes t/
%{perl_vendorlib}/*
%{_mandir}/man[13]/*
%{_bindir}/*

%changelog
* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.03-2
- rebuild for new perl

* Sat Mar 01 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.03-1
- update to 1.03 (runtime to 5.7012)

* Fri Aug 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.02-3
- bump

* Tue Jul 24 2007 Chris Weyl <cweyl@alumni.drew.edu>
- add t/ to doc

* Fri Apr 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.02-1
- Specfile autogenerated by cpanspec 1.71.
